Loading...
Searching...
No Matches
filesystem.h File Reference

Filesystem interface. More...

`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | BD_FILE_H
| File access. More...
struct | BD_DIRENT
| Directory entry. More...
struct | BD_DIR_H
| Directory access. More...

## Typedefs

typedef BD_FILE_H *(* | BD_FILE_OPEN) (const char *filename, const char *mode)
| Open a file.
typedef BD_DIR_H *(* | BD_DIR_OPEN) (const char *dirname)
| Open a directory.

## Functions

BD_PUBLIC BD_FILE_OPEN | bd_register_file (BD_FILE_OPEN p)
| Register function pointer that will be used to open a file.
BD_PUBLIC BD_DIR_OPEN | bd_register_dir (BD_DIR_OPEN p)
| Register function pointer that will be used to open a directory.

## Detailed Description

Filesystem interface.

File access wrappers can be used to bind libbluray to external filesystem. Typical use case would be playing BluRay from network filesystem.

## Typedef Documentation

## BD_DIR_OPEN

typedef BD_DIR_H *(* BD_DIR_OPEN) (const char *dirname)

Open a directory.

Prototype for a function that returns BD_DIR_H implementation.

Parameters

  dirname | name of the directory to open

Returns
  BD_DIR_H object, NULL on error

## BD_FILE_OPEN

typedef BD_FILE_H *(* BD_FILE_OPEN) (const char *filename, const char *mode)

Open a file.

Prototype for a function that returns BD_FILE_H implementation.

Parameters

  filename | name of the file to open
  mode | string starting with "r" for reading or "w" for writing

Returns
  BD_FILE_H object, NULL on error

## Function Documentation

## bd_register_dir()

BD_PUBLIC BD_DIR_OPEN bd_register_dir | ( | BD_DIR_OPEN | p | ) |

Register function pointer that will be used to open a directory.

Deprecated
  Use bd_open_files() instead.

Parameters

  p | function pointer

Returns
  previous function pointer registered

## bd_register_file()

BD_PUBLIC BD_FILE_OPEN bd_register_file | ( | BD_FILE_OPEN | p | ) |

Register function pointer that will be used to open a file.

Deprecated
  Use bd_open_files() instead.

Parameters

  p | function pointer

Returns
  previous function pointer registered